# Bibliofabric

Welcome to the documentation for Bibliofabric!

`bibliofabric` is a Python library providing a generic, extensible framework for building modern, asynchronous API clients. It includes built-in support for features like authentication, rate limiting, retries, and caching.

## Key Features

- **Asynchronous by Design:** Built on `httpx` for high-performance, non-blocking I/O.
- **Extensible:** Use protocols and mixins to easily create new clients for any API.
- **Robust:** Includes built-in error handling, request retries with exponential backoff, and rate limit management.
- **Type-Safe:** Fully type-hinted for a better development experience and fewer runtime errors.

## Getting Started

To get started, explore the API Reference section to understand the core components of the framework.
